speedometer(1)

NAME
speedometer - measure and display the rate of data across a network connection

SYNOPSIS
   speedometer [options] tap [[-c] tap] ...

DESCRIPTION
Monitor network traffic or speed/progress of a file transfer. At least one tap option (-f, -rx, -tx) must be entered. Option -c starts a new column, otherwise taps are piled vertically.

Note: before you use the program, start generating traffic by transferring files in/out e.g. with scp(1) in the network you're measuring.

OPTIONS

-b  Use old blocky display instead of smoothed display even when UTF-8 encoding is detected.

-f filename [size]
    Display download speed with progress bar. This option must be used if directly following another file tap without an expected size specified.

-i interval
    Interval in seconds. Examples: 5 or 0.25". Default is 1.

-p  Use plain-text display (one tap only).

-rx iface
    Display bytes received on network interface.

-tx iface
    Display bytes transmitted on network interface.

-z  Report zero size on files that don't exist instead of waiting for them to be created

EXAMPLES

How long it will take for my 38MB transfer to finish?

    speedometer favorite_episode.rm $(( 38 * 1024 * 1024 ))

How quickly is another transfer going?

    speedometer dl/big.avi

How fast is this LAN?

    host-a$ cat /dev/zero | nc -l -p 12345
    host-b$ nc host-a 12345 > /dev/null
    host-b$ speedometer -rx eth0

How fast is the upstream on this ADSL line?

    speedometer -tx ppp0

How fast can I write data to my filesystem? (with at least 1GB free)

    dd bs=1000000 count=1000 if=/dev/zero of=bigfile &
    speedometer bigfile

ENVIRONMENT
None.

FILES
None.

SEE ALSO
htop(1) iotop(1) scp(1) top(1) vmstat(1)

AUTHORS
Program was written by Ian Ward <ian.ward@excess.org>

This manual page was written by Jari Aalto <jari.aalto@cante.net>. Released under license GNU GPL version 2 or (at your option) any later version. For more information about license, visit <http://www.gnu.org/copyleft/gpl.html>.